%
%
%   Signale ausgeben
%
%   Hochschule Mnchen
%   Labor fr Maschinendynmik
%   Dipl.-Ing. Armin Rohnen LbA
%
%   Mnchen, 3. Januar 2017
%
%%
% setup_and_main.m are free software
% you can redistribute it and/or modify it under the terms of the 
% GNU General Public License as published by the Free Software Foundation;
% either version 3, or (at your option) any later version.
%
% setup_and_main.m are distributed in the hope that it will be useful, 
% but without any warranty; without even the implied warranty of 
% merchantability or fitness for a particular purpose. See the GNU General
% Public License for more details.
%
%%

clear;

%
% Setup
%%

%
% 1. Messung konfigurieren
%

messgeraet = daq.createSession('directsound');
ch(1)=addAudioInputChannel(messgeraet,'Audio16', '1'); % Analog In 1
ch(1).Name = 'B-Aufnehmer';
ch(2)=addAudioInputChannel(messgeraet,'Audio16', '2'); % Analog In 2
ch(2  ).Name = 'Sollsignal';

%
% 2. Signalgenerator vorbereiten
%

ch(3)=addAudioOutputChannel(messgeraet,'Audio28', '1');
% versteckt sich hinter DirectSound Lautsprecher

messgeraet.Rate = 48000;
fs = messgeraet.Rate;

frequenz = 125.5;               % Sollfrequenz
amplitude = 0.75;               % Sollamplitude
laenge = 1;                     % Nominallnge

generator(frequenz, amplitude, laenge, fs, messgeraet);
                                % erzeugt das Ausgabesignal und stellt es
                                % in den Ausgabepuffer

%
%   3. Display vorbereiten
% 

[displayHandle] = create_display(messgeraet);

%
%   4. Listener anlegen und Vorgang starten
%

messgeraet.IsContinuous = true;                 % kontiunierliches Messen
messgeraet.NotifyWhenDataAvailableExceeds = ceil(fs/8);
                                                % Anzahl der Messwerte bis zum Auslsen des Event
                                                % 'DataAvailable'
dataListener = addlistener(messgeraet, 'DataAvailable', @(src, event)dispData(src, event, ch, displayHandle));
                                                % wird ausgefhrt, wenn Daten zur Visualisierung
                                                % vorhanden sind
ausgabeListener = addlistener(messgeraet,'DataRequired',@(src,event)generator(frequenz, amplitude, laenge, fs, messgeraet));
                                                % wird ausgefhrt, wenn das Ausgabesignal am Ende ist

messgeraet.startBackground;                     % startet den Vorgang

%
% 5. Ablaufsteuerung
%

status = 0;

while status < 2
    number = input('neuer Status (2: Stop) :');
    status = number;
    
    if status == 2
        messgeraet.stop;
        delete(dataListener);
        delete(ausgabeListener);
    end;
end;
                                                