function streamer(laenge, fs, ziel)
%
%
%   Signal als Endlosstream ausgeben
%
%   Hochschule Mnchen
%   Labor fr Maschinendynmik
%   Dipl.-Ing. Armin Rohnen LbA
%
%   Mnchen, 3. Januar 2017
%
%   -----------------------------------------------------------------------
%   bergabeparameter:
%   ==================
%
%   laenge                  angetsrebte Lnge des Signals in Sekunden
%                           wird auf die nchstliegende vielfache der
%                           Periodendauer gekrzt
%   fs                      Abtastrate
%   ziel                    daq-Objekt mit dem Ausgabegert
%
%
%%
% streamer.m are free software
% you can redistribute it and/or modify it under the terms of the 
% GNU General Public License as published by the Free Software Foundation;
% either version 3, or (at your option) any later version.
%
% streamer.m are distributed in the hope that it will be useful, 
% but without any warranty; without even the implied warranty of 
% merchantability or fitness for a particular purpose. See the GNU General
% Public License for more details.
%
%%

global pos signal

n=laenge * fs;                  % Anzahl der Messwerte fr die Outputqueue

if pos+n-1 > length(signal)     % wenn das Streaming ber das Signalende hinausgehen sollte
    stream=signal(pos:length(signal),1);
    streamlaenge = length(stream);
    rest = length(signal)-pos;    % Restlnge bestimmen
    stream(streamlaenge+1:streamlaenge+rest,1)=signal(1:rest,1);
    pos = rest+1;
else
    stream = signal(pos:pos+n-1,1);
    pos = pos+n;
end;

queueOutputData(ziel, stream); 
